List trust relationships

  • GET /platform/configuration/trust-relationships
Auth

List trust relationships.

Query parameters

include_certificate boolean · default: false

Whether to include the public CA certificates in the response.

filter enum · default: all

Which trust relationships to return in the response. Defaults to all

Values: all local non-local

Responses

The list of trust relationships.

application/json
trust_relationships object[] required

The trust relationships

id string required

The id of the trust relationship

name string required

The name of the trust relationship

trust_by_default boolean required

If this relationship is trusted by default by all deployments in the current environment.

account_ids string[]

The ID of the accounts trusted by this relationship.

public_ca_cert string

The public CA certificate of the environment to trust

local boolean required

If this is the trust relationship for the local environment

installation_id string

The installation ID of the environment to trust

last_modified string · format: date-time required

The most recent time the trust relationship was changed (ISO format in UTC)

You are not authorized to perform this action.

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields